﻿# init python:
#     def change_theme(theme):
#         global current_theme
#         current_theme = theme
#         renpy.ui.rebuild()

init offset = -1
define zero_color_theme_1 = {
    "Dominant": "#e7f2f6",
    "Complimentary": "#23223c",
    "Alternative": "#988282",
    
    "Light": "#c5af8b",
    "Dark": "#23223c",
    "Mute": "#8a8a8a",
    }
define zero_color_theme_2 = {
    "Dominant": "#2a5179",
    "Complimentary": "#ffeace",
    "Alternative": "#a25c00",
    
    "Light": "#ffbf00",
    "Dark": "#3b230d",
    "Mute": "#ababab",
    }
define zero_color_theme_3 = {
    "Dominant": "#494d7e",
    "Complimentary": "#fbf5ef",
    "Alternative": "#8b6d9c",
    
    "Light": "#f2d3ab",
    "Dark": "#494d7e",
    "Mute": "#c69fa5",
    }
define zero_color_theme_4 = {
    "Dominant": "#d53c6a",
    "Complimentary": "#1f0510",
    "Alternative": "#ff8274",
    
    "Light": "#31051e",
    "Dark": "#1f0510",
    "Mute": "#31051e",
    }
define zero_color_theme_5 = {
    "Dominant": "#543344",
    "Complimentary": "#c9cca1",
    "Alternative": "#8b4049",
    
    "Light": "#ae6a47",
    "Dark": "#515262",
    "Mute": "#515262",
    }
define zero_color_theme_6 = {
    "Dominant": "#a0a08b",
    "Complimentary": "#211e20",
    "Alternative": "#e9efec",
    
    "Light": "#555568",
    "Dark": "#555568",
    "Mute": "#555568",
    }
define zero_color_theme_7 = {
    "Dominant": "#201533",
    "Complimentary": "#0098db",
    "Alternative": "#203562",
    
    "Light": "#0ce6f2",
    "Dark": "#252446",
    "Mute": "#252446",
    }
define zero_color_theme_8 = {
    "Dominant": "#b18b8b",
    "Complimentary": "#1b1a1d",
    "Alternative": "#ac1717",
    
    "Light": "#f3d8d8",
    "Dark": "#353441",
    "Mute": "#353441",
    }
define zero_color_theme_9 = {
    "Dominant": "#1f2c3d",
    "Complimentary": "#97933a",
    "Alternative": "#5f6d43",
    
    "Light": "#deca54",
    "Dark": "#0b162a",
    "Mute": "#26464b",
    }
define zero_color_theme_10 = {
    "Dominant": "#291b17",
    "Complimentary": "#a2a3dc",
    "Alternative": "#3b1d36",
    
    "Light": "#998b74",
    "Dark": "#59584d",
    "Mute": "#59584d",
    }


define current_theme = zero_color_theme_9

define zero_frame = ""
define zero_frame_margin = [10, 10]
define zero_dim_bg = current_theme["Dark"] + "ee"
define zero_mm_bg = "mm_bg"
define zero_gm_bg = "mm_bg"



style zero:
    # All
    align(.5,.5)

    # Text
    color current_theme["Complimentary"]
    hover_color current_theme["Light"]
    selected_color current_theme["Complimentary"]
    selected_hover_color current_theme["Light"]
    font "DejaVuSans.ttf"
    size 24

    # Frame and button
    padding(16,16)
    background current_theme["Dominant"]
    hover_background current_theme["Alternative"]
    selected_background current_theme["Alternative"]
    selected_hover_background current_theme["Alternative"]
    insensitive_background current_theme["Dominant"]+"bb"

    

    # Box
    spacing 8
    box_wrap True
    box_wrap_spacing 8

    # Bar
    left_bar current_theme["Dominant"]
    hover_left_bar current_theme["Alternative"]
    right_bar current_theme["Mute"] + "88"
    hover_right_bar current_theme["Mute"]

    # Sounds
    # hover_sound "0gui/sfx/hover.mp3"
    # activate_sound "0gui/sfx/select.mp3"

transform btn(duration = .2):
    parallel:
        xoffset random.randint(-1000, -800) alpha 0 yzoom .01
        pause duration * (random.random())
        
        ease duration xoffset 0 yzoom 1 alpha 1
    parallel:
        on idle:
            easein .2 additive 0 alpha 1
        on hover:
            easein .2 additive .3 alpha 1
        on selected_idle:
            easein .2 additive .2 alpha 1
        on selected_hover:
            easein .2 additive .3 alpha 1
        on insensitive:
            easein .2 additive 0 alpha .5

################################################################################
## Styles
################################################################################

# style default:
#     properties gui.text_properties()
#     language gui.language


# style hyperlink_text:
#     properties gui.text_properties("hyperlink", accent=True)
#     hover_underline True



# style bar:
#     ysize gui.bar_size

# style vbar:
#     xsize gui.bar_size

# style scrollbar:
#     ysize gui.scrollbar_size
#     base_bar Frame("gui/scrollbar/horizontal_[prefix_]bar.png", gui.scrollbar_borders, tile=gui.scrollbar_tile)
#     thumb Frame("gui/scrollbar/horizontal_[prefix_]thumb.png", gui.scrollbar_borders, tile=gui.scrollbar_tile)

# style vscrollbar:
#     xsize gui.scrollbar_size
#     base_bar Frame("gui/scrollbar/vertical_[prefix_]bar.png", gui.vscrollbar_borders, tile=gui.scrollbar_tile)
#     thumb Frame("gui/scrollbar/vertical_[prefix_]thumb.png", gui.vscrollbar_borders, tile=gui.scrollbar_tile)

# style slider:
#     ysize gui.slider_size
#     base_bar Frame("gui/slider/horizontal_[prefix_]bar.png", gui.slider_borders, tile=gui.slider_tile)
#     thumb "gui/slider/horizontal_[prefix_]thumb.png"


################################################################################
## Mobile Variants
################################################################################

# style pref_vbox:
#     variant "medium"
#     xsize 675

# ## Since a mouse may not be present, we replace the quick menu with a version
# ## that uses fewer and bigger buttons that are easier to touch.
# screen quick_menu():
#     variant "touch"

#     zorder 100

#     if quick_menu:

#         hbox:
#             style_prefix "quick"

#             xalign 0.5
#             yalign 1.0

#             textbutton _("Back") action Rollback()
#             textbutton _("Skip") action Skip() alternate Skip(fast=True, confirm=True)
#             textbutton _("Auto") action Preference("auto-forward", "toggle")
#             textbutton _("Menu") action ShowMenu()

