﻿## Say screen ##################################################################

screen say(who, what):
    style_prefix "say"
    fixed fit_first True:
        align .5,1.0 yoffset -40
        window:
            id "window"
            text what id "what" size 30

        if who is not None:
            window:
                pos .0,.0 anchor .0,1.0 margin 0,4
                id "namebox"
                style "namebox"
                text who id "who" size 30

        button:
            pos .0,1.0 anchor 1.0,1.0 margin 4,0
            text _("Back")
            action Rollback()
        button:
            pos 1.0,1.0 anchor 0.0,1.0 margin 4,0
            text _("Auto")
            action Preference("auto-forward", "toggle")

    if not renpy.variant("small"):
        add SideImage() xalign 0.0 yalign 1.0

## Make the namebox available for styling through the Character object.
init python:
    config.character_id_prefixes.append('namebox')
    config.character_id_prefixes.append('what')

style namebox is zero
style window is zero:
    xfill True
    yalign 1.0
    xsize 1100
    yminimum 200
    padding (40,40)

style say_button is zero
style say_text is zero
style what_text is zero


## Input screen ################################################################

screen input(prompt):
    style_prefix "input"

    frame:
        xsize 400
        vbox:
            text prompt
            input id "input"

style input_frame is zero
style input_button is zero
style input_text is zero
style input_vbox is zero
style input_input is zero

## Choice screen ###############################################################

screen choice(items):
    style_prefix "choice"

    vbox:
        for i in items:
            button:
                xsize 900
                text i.caption
                action i.action


## When this is true, menu captions will be spoken by the narrator. When false,
## menu captions will be displayed as empty buttons.
define config.narrator_menu = True


style choice_button is zero
style choice_text is zero
style choice_vbox is zero


## Bubble screen ###############################################################

screen bubble(who, what):
    style_prefix "bubble"

    window:
        id "window"

        # if who is not None:

        #     window:
        #         id "namebox"
        #         style "bubble_namebox"

        #         text who:
        #             id "who"

        text what:
            id "what"

style bubble_window is empty
style bubble_namebox is empty
style bubble_who is default
style bubble_what is default

style bubble_window:
    xpadding 30
    top_padding 5
    bottom_padding 5

style bubble_namebox:
    xalign 0.5

style bubble_who:
    xalign 0.5
    textalign 0.5
    color "#000"

style bubble_what:
    align (0.5, 0.5)
    text_align 0.5
    layout "subtitle"
    color "#000"

define bubble.frame = Frame("gui/bubble.png", 55, 55, 55, 95)
define bubble.thoughtframe = Frame("gui/thoughtbubble.png", 55, 55, 55, 55)

define bubble.properties = {
    "bottom_left" : {
        "window_background" : Transform(bubble.frame, xzoom=1, yzoom=1),
        "window_bottom_padding" : 27,
    },

    "bottom_right" : {
        "window_background" : Transform(bubble.frame, xzoom=-1, yzoom=1),
        "window_bottom_padding" : 27,
    },

    "top_left" : {
        "window_background" : Transform(bubble.frame, xzoom=1, yzoom=-1),
        "window_top_padding" : 27,
    },

    "top_right" : {
        "window_background" : Transform(bubble.frame, xzoom=-1, yzoom=-1),
        "window_top_padding" : 27,
    },

    "thought" : {
        "window_background" : bubble.thoughtframe,
    }
}

define bubble.expand_area = {
    "bottom_left" : (0, 0, 0, 22),
    "bottom_right" : (0, 0, 0, 22),
    "top_left" : (0, 22, 0, 0),
    "top_right" : (0, 22, 0, 0),
    "thought" : (0, 0, 0, 0),
}





